%if 0%{?el7}
%define dist .el7
%endif

Name:		libdvbpsi
Version:	1.3.2
Release:	1%{?dist}
Epoch:      5
Summary:	libdvbpsi is a simple library designed for decoding and generation of MPEG TS and DVB PSI tables according to standards ISO/IEC 13818 and ITU-T H.222.0.

Group:		Development/Libraries
License:	LGPLv2.1
URL:		https://www.videolan.org/developers/libdvbpsi.html
Source0:	http://download.videolan.org/pub/libdvbpsi/%{version}/%{name}-%{version}.tar.bz2

Patch0:     libdvbpsi-1.2.0-misc.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	glibc-headers >= 2.12
BuildRequires:  automake autoconf libtool
BuildRequires:  gcc gcc-c++

Conflicts:	compat-libdvbpsi

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
%{summary}

%prep
%setup -q
%if 0%{?fedora} >= 22
%patch0 -p1
%endif
autoreconf -ivf

%build
%configure \
	--enable-release
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc AUTHORS ChangeLog INSTALL NEWS README
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_includedir}/dvbpsi/*.h
%{_includedir}/dvbpsi/types/*.h
%{_libdir}/*.so*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.la



%changelog
* Thu Jul 12 2018 momo-i <webmaster@momo-i.org> - 5:1.3.2-1
- Update to 1.3.2

* Tue Mar 14 2017 momo-i <webmaster@momo-i.org> - 1.3.1-1
- Update to 1.3.1

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.3.0-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.3.0-4
- Rebuilt for fc23

* Thu Jun 25 2015 momo-i <webmaster@momo-i.org> - 1.3.0-3
- Update to 1.3.0

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 1.2.0-3
- Rebuilt for fc22

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 1.2.0-2
- Update to 1.2.0

* Fri Nov 29 2013 momo-i <webmaster@momo-i.org> - 1.1.2-2
- Update to 1.1.2

* Thu Oct 24 2013 momo-i <webmaster@momo-i.org> - 1.1.1-2
- Update 1.1.1

* Thu Apr  4 2013 momo-i <webmaster@momo-i.org> 1.0.0-1
- Initial rpm release.
